
function addEvent(obj, evType, fn, useCapture){
  if (obj.addEventListener){
    obj.addEventListener(evType, fn, useCapture);
    return true;
  } else if (obj.attachEvent){
    var r = obj.attachEvent("on"+evType, fn);
    return r;
  } else {
    alert("Handler could not be attached");
  }
}

function enableExtendedSelect(elementID,valueTitle,valuePrompt){

/*	var element=document.getElementsByName(elementID)[0];
	var options=element.options;*/
	
	var elements=document.getElementsByTagName("select");

	for(var i=0;i<elements.length;++i){
	
		if(elements[i].name.indexOf(elementID)!=-1){
			
			var element	=elements[i];
			var options=element.options;

			options[options.length]=new Option(valueTitle,'other',false,false);
			addEvent(element,'change',function(e){
				e = ((e!=null) ? e : window.event);
				var node =((e.target==null)? e.srcElement:e.target); 	

				if(node.value=='other'){
					var options=node.options;
					var value=prompt(valuePrompt,'');
					if(value!=null){
						var ind=node.selectedIndex;
						options[node.selectedIndex]=new Option(value,value,false,false);
						options[options.length]=new Option(valueTitle,'other',false,false);
						node.selectedIndex=ind;
						node.value=value;
				
					}
					else(node.value=null);
				}
			},false);
		}	
	}
}

